// hide quick navigation
function hide_quick_navigation() {
	document.getElementById("quick_navigation").style.visibility = "hidden";
}

// show quick navigation
function show_quick_navigation() {
	document.getElementById("quick_navigation").style.visibility = "visible";
}

// blink pause
var controlColor = 1;

function changeColor() {
	if(controlColor == 1) {
		document.getElementById("pause_button").className = "active_site_blink";
		controlColor = 0;
	} else {
		document.getElementById("pause_button").className = "active_site";
		controlColor = 1;
	}
}

// play and pause for slideshow
var controlPlay = "on";
var clickOnImage = 0;

function play() {
	if(controlPlay == "on" && clickOnImage == 0) {
		slideShow = window.setInterval("showNextImage()", time);
		controlPlay = "off";
		window.clearInterval(pause);
		document.getElementById("pause_button").className = "active_site";
	} else {
		if(controlPlay == "off" && clickOnImage == 0) {
			window.clearInterval(slideShow);
			pause = window.setInterval("changeColor()", 300);
			controlPlay = "on";
		}
	}

	if(controlPlay == "off" && clickOnImage == 1) {
		window.clearInterval(slideShow);
		pause = window.setInterval("changeColor()", 300);
		controlPlay = "on";
		clickOnImage = 0;
	} else {
		if(controlPlay == "on" && clickOnImage == 1) {
			clickOnImage = 0;
		}
	}
}

// slideshow speed
function faster() {
		if(time > 1000) time = time - 500;
		document.getElementById("time").innerHTML = time / 1000 + " SEC";
		window.clearInterval(slideShow);
		slideShow = window.setInterval("showNextImage()", time);
		controlPlay = "off";
		window.clearInterval(pause);
		document.getElementById("pause").className = "active_site";
}

function slower() {
		if(time < 10000) time = time + 500;
		document.getElementById("time").innerHTML = time / 1000 + " SEC";
		window.clearInterval(slideShow);
		slideShow = window.setInterval("showNextImage()", time);
		controlPlay = "off";
		window.clearInterval(pause);
		document.getElementById("pause").className = "active_site";
}