<?php
/*######################################################### 
# MOSAIC V 1.0:                                           #
#                                                         #
# (c) 2005 by yellowgreen. under                          #
# GPL http://creativecommons.org/licenses/by-nc-sa/2.0/de #
# http://www.yellowgreen.de                               #
#########################################################*/

/*######################################################### 
# WARNING:                                                #
#                                                         #
# This script make the thumbnails. Normally it is not     #
# necessary to modefy this script.                        #
#                                                         #
# This script may be freely used, distributed and         #
# modified without any charge as long as this copyright   # 
# information is included.                                #
#                                                         #
# Any commercial selling of this script is prohibited.    #
#                                                         #
# The author is not responsible for possible damage which #
# may result from the application of this script, neither #
# direct nor indirect.                                    #
#########################################################*/


// BASIC SETTINGS

			// turn off PHP-Errors
			error_reporting(0);
			
			// define image types
			$types = array(1 => "gif", "jpeg", "png", "swf", "psd", "wbmp");
			
			// set name of cache directory
			define('cache', 'cache/');
			
			// set path to cache direktory
			$image = "../" . $image;
			$cachedir = "../" . substr($HTTP_GET_VARS['image'], 0, strrpos($HTTP_GET_VARS['image'], '/') + 1) . cache;
			
			// make cache direktory
			!is_dir($cachedir) ? mkdir($cachedir, 0777) : system("chmod 0777 " . $cachedir);

// HANDLE IMAGE FILE

			// check if image is set
			!isset($image) ? DIE('What about the image ... ?.') : !file_exists($image) ? DIE('This image does not exists...') : false;
		
			// get information about image
			$imagedata = getimagesize($image);
		
			// check if file is an image
			!$imagedata[2] || $imagedata[2] == 4 || $imagedata[2] == 5 ? DIE('This file is not an image...') : false;
		
			// check if image type is supported
			eval('if(!(imagetypes() & IMG_' . strtoupper($types[$imagedata[2]]) . ')) { DIE("Sorry, " . strtoupper($types[$imagedata[2]]) . " images are not supported in browsers."); }');

// HANDLE IMAGE AND MOSAIC SIZE

			// set variables for image size
			$imagesize_width = $imagedata[0];
			$imagesize_height = $imagedata[1];
		
			// define mosaic mode
			if(isset($mosaic_size)) {
				$resize = 1;
				$x = $mosaic_size; $y = $mosaic_size;
				$imagedata[0] < $imagedata[1] ? $imagesize = $imagedata[0] : $imagesize = $imagedata[1];
				$imagesize_width = $imagesize; $imagesize_height = $imagesize;	
			}
			
			// define slideshow mode
			if(isset($slideshow_size)) {
				$resize = 0;
				$imagedata[0] < $imagedata[1] ? $y = $slideshow_size : $x = $slideshow_size;
			}
			
			// check if for sizes
			(!isset($x) || ereg('^[0-9]{1,}$', $x, $regs)) && (!isset($y) || ereg('^[0-9]{1,}$', $y, $regs)) && (isset($x) || isset($y)) ? true : DIE ('Please set image width or height.');
		
			// if only width or only height is set
			!isset($x) ? $x = floor($y * $imagesize_width / $imagesize_height) : $x;
			!isset($y) ? $y = floor($x * $imagesize_height / $imagesize_width) : $y;
		
			// define resize mode
			!isset($resize) || !ereg('^[0|1]$', $resize, $regs) ? $resize = 1 : $resize;
		
			// define aspectratio mode
			!isset($aspectratio) || !ereg('^[0|1]$', $aspectratio, $regs) ? isset($x) && isset($y) ? $aspectratio = 1 : $aspectratio = 0 : $aspectratio;
		
			/*
			// set aspectratio
			if($aspectratio && isset($HTTP_GET_VARS['x']) && isset($HTTP_GET_VARS['y'])) {
			  if($imagedata[0] > $imagedata[1]) {
				   $y = floor($x * $imagedata[1] / $imagedata[0]);
			  } else
					if($imagedata[1] > $imagedata[0]) {
						$x = floor($y * $imagedata[0] / $imagedata[1]);
					 }
			}
			*/

// HANDLE MOSAIC FILE

			// check if mosaic file exists
			$thumbfile = substr("../" . $HTTP_GET_VARS['image'], strrpos("../" . $HTTP_GET_VARS['image'], '/') + 1, strrpos("../" . $HTTP_GET_VARS['image'], '.')) . "_mosaicsize=" . $x . "." . $types[$imagedata[2]];
			if(file_exists($cachedir . $thumbfile)) {
				$thumbdata = getimagesize($cachedir . $thumbfile);
				$thumbdata[0] == $x && $thumbdata[1] == $y ? $iscached = true : $iscached = false;
			} else $iscached = false;
		
			// check if mosaic file is correct
			if(!$iscached)
				($imagesize_width > $x || $imagesize_height > $y) || (($imagesize_width < $x || $imagesize_height < $y) && $resize) ? $makethumb = true : $makethumb = false;
					else $makethumb = false;
		
			// give/generate mosaic (file)
			header("Content-Type: image/" . $types[$imagedata[2]]);
			
			if($makethumb) {
				$image = call_user_func("imagecreatefrom" . $types[$imagedata[2]], $image);
				$thumb = imagecreatetruecolor($x, $y);
				imagecopyresampled($thumb, $image, 0, 0, 0, 0, $x, $y, $imagesize_width, $imagesize_height);
				call_user_func("image" . $types[$imagedata[2]], $thumb, $cachedir . $thumbfile);
				imagedestroy($image);
				imagedestroy($thumb);
				$image = $cachedir . $thumbfile;
			} else {
				$iscached ? $image = $cachedir . $thumbfile : $image = "../" . $HTTP_GET_VARS['image'];
			}
			
			$image = fopen($image, "rb");
			fpassthru($image);
			fclose($image);
?>